%global momorel 2

%global pkg_name Remedie
%global __perl_requires %{_tmppath}/%{name}-%{version}.requires
%global srcname miyagawa-remedie-9328c9d4eaba33f9732ea51d74b08abe481c27db

Summary: perl based pluggable media center application
Name: perl-%{pkg_name}
Version: 0.5.7
Release: %{momorel}m%{?dist}
License: GPLv2 or Artistic
Group: Applications/Multimedia
#Source0: http://github.com/miyagawa/remedie/tarball/%%{version}
#NoSource: 0
Source0: %{srcname}.tar.gz
Source1: remedie-server
URL: http://wiki.github.com/miyagawa/remedie
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildPreReq: perl >= 1:5.8.1
Requires:       perl(Cache::Cache)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Date::Parse)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::ISO8601)
Requires:       perl(DateTime::Format::Mail)
Requires:       perl(DateTime::Format::Strptime)
Requires:       perl(DateTime::TimeZone)
Requires:       perl(DBI) >= 1.607
Requires:       perl(DBD::SQLite) >= 1.25
Requires:       perl(Digest::MD5)
Requires:       perl(Encode)
Requires:       perl(Feed::Find)
Requires:       perl(File::Find::Rule)
Requires:       perl(File::Find::Rule::Filesys::Virtual)
Requires:       perl(File::Temp)
Requires:       perl(Filesys::Virtual)
Requires:       perl(Filesys::Virtual::Plain)
Requires:       perl(HTML::Entities)
Requires:       perl(HTML::ResolveLink)
Requires:       perl(HTML::Scrubber)
Requires:       perl(HTML::Selector::XPath)
Requires:       perl(HTML::Tagset)
Requires:       perl(HTML::TokeParser)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(HTML::TreeBuilder::XPath) >= 0.09
Requires:       perl(HTTP::Date)
Requires:       perl(HTTP::Engine) >= 0.1.8
Requires:       perl(Image::Info)
Requires:       perl(JSON::XS)
Requires:       perl(List::Util)
Requires:       perl(Log::Dispatch)
Requires:       perl(Log::Dispatch::File)
Requires:       perl(LWP)
Requires:       perl(MIME::Types)
Requires:       perl(Net::Rendezvous::Publish)
Requires:       perl(Path::Class)
Requires:       perl(Path::Class::Unicode)
Requires:       perl(Pod::Usage)
Requires:       perl(Rose::DB)
Requires:       perl(Rose::DB::Object)
Requires:       perl(String::CamelCase)
Requires:       perl(String::ShellQuote)
Requires:       perl(Template)
Requires:       perl(Term::Encoding)
Requires:       perl(Text::Tags)
Requires:       perl(Tie::File)
Requires:       perl(UNIVERSAL::require)
Requires:       perl(URI) >= 1.37
Requires:       perl(URI::Escape)
Requires:       perl(URI::Fetch)
Requires:       perl(Web::Scraper) >= 0.26
Requires:       perl(XML::Atom)
Requires:       perl(XML::LibXML)
Requires:       perl(XML::LibXML::Simple)
Requires:       perl(XML::RSS::LibXML)
Requires:       perl(XML::Feed) >= 0.42
Requires:       perl(XML::OPML::LibXML)
Requires:       perl(YAML::XS)
Requires:       perl(Any::Moose)
Requires:       perl(MooseX::ConfigFromFile)
Requires:       perl(MooseX::Getopt)
Requires:       perl(MooseX::Types::Path::Class)

%description
Remedie is a perl based media center application with pluggable architecture. You can subscribe to videocast feeds, watch local folder with media files and keep track of your favorite video sites like YouTube, Nico Nico Douga or Hulu.

%prep
%setup -q -n %{srcname}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/remedie/
cp -r root %{buildroot}%{_datadir}/remedie/
cp -r lib/Plagger.pm %{buildroot}%{_datadir}/remedie/
cp -r lib/Plagger/ %{buildroot}%{_datadir}/remedie/
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
rm -f %{buildroot}%{perl_vendorlib}/Plagger.pm
rm -rf %{buildroot}%{perl_vendorlib}/Plagger/
find %{buildroot}%{_mandir}/man3/ -name 'Plagger*' | xargs rm -f
install -Dm 755 %{SOURCE1} %{buildroot}%{_bindir}/remedie-server

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Remedie-%{version}-filelist
if [ "$(cat Remedie-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# provides fix script
cat <<__EOF__ > %{name}-findperlprovides
#!/bin/sh
%{__perl_provides} \$* | %{__grep} -v 'perl(Plagger' | %{__grep} -v 'perl(Filesys' |\
%{__grep} -v 'perl(HTTP' | %{__grep} -v 'perl(URI' | %{__grep} -v 'perl(XML'
__EOF__
%define __perl_provides %{_builddir}/%{srcname}/%{name}-findperlprovides
chmod +x %{__perl_provides}
# %{__grep} -v ''

# custom requires script
%{__cat} <<EOF > %{__perl_requires}
#!/bin/bash
%{__cat} | %{__grep} -v $RPM_BUILD_ROOT%{_docdir} | /usr/lib/rpm/perl.req $* \
        | %{__grep} -v 'File::Spotlight' | %{__grep} -v 'Mac::AppleScript' | %{__grep} -v ''
EOF
%{__chmod} 700 %{__perl_requires}

%clean 
%{__rm} -rf %{buildroot}
%{__rm} -f %{__perl_requires} %{__perl_provides}

%files -f Remedie-%{version}-filelist
%defattr(-,root,root)
%doc Changes HACKING README.mkdn

%changelog
* Fri Aug 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.7-2m)
- merge the trunk changes
-- 
-- * Fri Aug 21 2009 TABUCHI Takaaki <tab@momonga-linux.org>
-- - (0.6.14-3m)
-- - move Requires to BuildRequires and use pacakge name
-- - add provides fix script and custom requires script

* Tue Jun 30 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.5.7-1m)
- up to 0.5.7

* Tue Jun 23 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.5.4-1m)
- up to 0.5.4

* Sun Jun 14 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.5.1-1m)
- up to 0.5.1

* Thu Jun 11 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.4.7-1m)
- up to git HEAD

* Tue Jun  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.6-3m)
- remove BuildRequires: perl-Test-More

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.6-2m)
- modify BuildRequires

* Sat May 30 2009 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.4.6-1m)
- first import
